package p05_switch;

import javax.swing.*;

public class IleDniMaMiesiac5 {
    public static void main(String[] args) {
        try {
            String miesiac = JOptionPane.showInputDialog("Podaj nazwę miesiąca");
            int ileDni = switch (miesiac) {
                case "styczeń", "marzec", "maj", "lipiec", "sierpień", "październik", "grudzień" -> 31;
                case "kwiecień", "czerwiec", "wrzesień", "listopad" -> 30;
                case "luty" -> {
                    int rok = Integer.parseInt(JOptionPane.showInputDialog("O który rok chodzi?"));
                    if (rok % 4 == 0 && rok % 100 != 0 || rok % 400 == 0) {
                        yield 29;
                    } else {
                        yield 28;
                    }
                }
                default -> throw new IllegalArgumentException("Nieznany miesiąc " + miesiac);
            };
            JOptionPane.showMessageDialog(null, miesiac + " ma " + ileDni + " dni");
        } catch (Exception e) {
            JOptionPane.showMessageDialog(null, e, "Błąd", JOptionPane.ERROR_MESSAGE);
        }
    }
}
